function plotfullafsCAA(AxesAFS, AFS, lines, valid, dimP)

for i=1:lines
    if valid(i)
        if dimP(i) == 1
            plot(AxesAFS,AFS{i}(:,1),AFS{i}(:,2),'k+','Linewidth',1,'Markersize',10);
        else
            plot(AxesAFS,AFS{i}(:,1),AFS{i}(:,2),'k','Linewidth',1);
        end
        hold(AxesAFS, 'on');
    end
end
